* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "Poppins", sans-serif;
  --blue0: #3774a9;
  --blue1: #76a7d2;
  --blue2: #8cb5d9;
  --blue3: #b2cee6;
  --blue4: #d7e6f3;
  --blue5: #e7f0f8;
  --white: #f7f8f9;
  --black: #1f2a37;
  --gray0: #4d4d4d;
  --gray1: #878787;
  --gray2: #afafaf;
  --gray3: #e6e6e6;
  --gray4: #f3f5f6;
  --gray-stroke: rgba(195, 195, 195, 0.1);
  --light-blue-gray: #e6e9ec;
  --light-salmon: #e6b2b2;
  --salmon: #d98c8c;
  --bg: #e6e6e7;
  --fw300: 300;
  --fw400: 400;
  --fw500: 500;
  --fw600: 600;
  --fw700: 700;
  --fw800: 800;
  --border-radius: 0.5rem;
  --radius4: 0.25rem;
  --radius10: 0.625rem;
  --radius100: 6.25rem;
  --blue-inner-shadow: 0.25rem 0.25rem 0.25rem 0 rgba(255, 255, 255, 0.7) inset,
    -0.125rem -0.125rem 0.25rem 0 rgba(118, 167, 210, 0.54) inset,
    0.125rem 0.125rem 0.25rem 0 rgba(118, 167, 210, 0.85) inset;
  --gray-inner-shadow: 0.125rem 0.25rem 0.25rem 0 rgba(195, 195, 195, 0.43),
    -0.125rem -0.125rem 0.5rem 0 rgba(195, 195, 195, 0.5) inset,
    0.125rem 0.125rem 0.5rem 0 rgba(195, 195, 195, 0.2) inset;
  --box-shadow: 0 0.25rem 0.25rem 0 rgba(209, 209, 209, 0.25);
  --transition: 0.4s all ease;
  --letter-spacing: 0.0688rem;
  --line-height: 1.75rem;
}

body {
  background-color: var(--bg);
  width: 100%;
  max-width: 100vw;
  font-size: 16px;
}

/* === 📌 testimonials === */

.section__testimonials {
  background: transparent;
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: start;
  justify-content: space-between;
  gap: 1.5rem;
  width: 90%;
  max-width: 75rem;
  margin: 5rem auto;
}

.testimonials-card {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  padding: 1.5rem;
  border-radius: var(--radius10);
  background: var(--gray4);
  box-shadow: var(--box-shadow);
  gap: 1.5rem;
}

.avatar {
  width: 7.5rem;
  height: 7.5rem;
  border-radius: var(--radius100);
  background-image: url("../assets/female-avatar.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  box-shadow: var(--box-shadow);
}

.avatar-male {
  background-image: url("../assets/male-avatar2.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.testimonials-name {
  color: var(--gray0);
  font-weight: var(--fw600);
  width: 100%;
  padding-top: 0.25rem;
  font-size: 0.9375rem;
}

.testimonials-id {
  color: var(--gray2);
  font-size: 0.875rem;
  font-weight: var(--fw300);
  width: 100%;
}

.testimonials-time {
  color: var(--gray1);
  font-size: 0.875rem;
  font-weight: var(--fw400);
  width: 100%;
  padding-top: 2rem;
}

.testimonials-left {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
}

.testimonials-comment {
  font-size: 1.5rem;
  color: var(--gray0);
}

.star {
  width: 1.5rem;
  height: 1.5rem;
  background-image: url("../assets/icons/star.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.star-wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 0.125rem;
  padding-top: 0.5rem;
}

.testimonials-details {
  color: var(--gray1);
  font-weight: var(--fw400);
  padding-top: 1.5rem;
}

.testimonials-right {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  height: 100%;
}

/* === 📌 responsive === */

@media (max-width: 62.5rem) {
  .testimonials-comment {
    font-size: 1.25rem;
  }
}

@media (max-width: 56.25rem) {
  .testimonials-card {
    flex-direction: column;
  }
  .testimonials-left {
    align-items: center;
    justify-content: center;
  }
  .testimonials-name,
  .testimonials-time,
  .testimonials-id {
    text-align: center;
  }
  .testimonials-time {
    padding-top: 0.25rem;
  }
}

@media (max-width: 42.5rem) {
  .section__testimonials {
    grid-template-columns: 1fr;
    align-items: center;
    justify-content: center;
    width: 100%;
  }
}
